OMNotebook: IAEX::HighlighterThread Class Reference

- Main Page
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# IAEX::HighlighterThread Class Reference

List of all members.

## Public Member Functions
void | run ()
| implementation of the virutal run function in QThread
void | addEditor (QTextEdit *editor)
| add an text editor for highlightning
void | removeEditor (QTextEdit *editor)
| add text editor to remove queue
bool | haveEditor (QTextEdit *editor)
| check if text editor is in highlighter thread
void | setStop (bool stop)
| Set whether or not highlight should be stopped.
## Static Public Member Functions
static HighlighterThread * | instance (SyntaxHighlighter *highlighter=0, QObject *parent=0)
| returns the instance of the object, if no instance exists the functions creates an new instance.

## Detailed Description

Author:
  Anders Fernström

Date:
  2005-12-17

Class for runing the highligher in a seperted thread.

## Member Function Documentation

void IAEX::HighlighterThread::addEditor | ( | QTextEdit * | editor | ) |

| add an text editor for highlightning Author: Anders Fernström Date: 2005-12-29 2006-01-13 (update) 2006-01-13 AF, restart thread if it have been stoped

bool IAEX::HighlighterThread::haveEditor | ( | QTextEdit * | editor | ) |

| check if text editor is in highlighter thread Author: Anders Fernström Date: 2006-01-05

HighlighterThread * IAEX::HighlighterThread::instance | ( | SyntaxHighlighter * | highlighter = `0`,
|  | QObject * | parent = `0`
| ) | `[static]`

| returns the instance of the object, if no instance exists the functions creates an new instance. Author: Anders Fernström Date: 2005-12-17 Returns: the instance

void IAEX::HighlighterThread::removeEditor | ( | QTextEdit * | editor | ) |

| add text editor to remove queue Author: Anders Fernström Date: 2006-01-05 2006-01-13 (update) 2006-01-13 AF, restart thread if it have been stoped

void IAEX::HighlighterThread::run | ( |  | ) |

| implementation of the virutal run function in QThread Author: Anders Fernström Date: 2005-12-17 2006-01-13 (update) 2006-01-06 AF, added remove queue 2006-01-13 AF, stop thread when nothing to do

void IAEX::HighlighterThread::setStop | ( | bool | stop | ) |

| Set whether or not highlight should be stopped. Author: Anders Fernström Date: 2006-01-05

The documentation for this class was generated from the following files:

- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/highlighterthread.h
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/highlighterthread.cpp